import { IVariableScope, NewVariableScope } from './variable-scope.model';

export const sampleWithRequiredData: IVariableScope = {
  id: 13105,
  code: '02168',
  name: 'nut how',
  description: 'around',
};

export const sampleWithPartialData: IVariableScope = {
  id: 31707,
  code: '00299',
  name: 'though',
  description: 'front',
};

export const sampleWithFullData: IVariableScope = {
  id: 10652,
  code: undefined,
  name: 'how',
  description: 'drat',
  version: 4616,
};

export const sampleWithNewData: NewVariableScope = {
  code: '7',
  name: 'decay round',
  description: 'which kookily through',
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
